Loading...
Searching...
No Matches
XrdClMonitor.hh File Reference
`#include "XrdCl/XrdClFileSystem.hh"`
`#include <sys/time.h>`
Include dependency graph for XrdClMonitor.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | XrdCl::Monitor::CheckSumInfo
| Describe a checksum event. More...
struct | XrdCl::Monitor::CloseInfo
| Describe a file close event. More...
struct | XrdCl::Monitor::ConnectInfo
| Describe a server login event. More...
struct | XrdCl::Monitor::CopyBInfo
struct | XrdCl::Monitor::CopyEInfo
| Describe an end of copy event. More...
struct | XrdCl::Monitor::DisconnectInfo
| Describe a server logout event. More...
struct | XrdCl::Monitor::ErrorInfo
| Describe an encountered file-based error. More...
class | XrdCl::Monitor
| An abstract class to describe the client-side monitoring plugin interface. More...
struct | XrdCl::Monitor::OpenInfo
| Describe a file open event to the monitor. More...
struct | XrdCl::Monitor::TransferInfo
| Describe the transfer. More...

## Namespaces

namespace | XrdCl

## Class Documentation

## XrdCl::Monitor::CopyBInfo

struct XrdCl::Monitor::CopyBInfo

Describe a start of copy event. Copy events are sequential by nature. a copybeg event is followed by a number of open and close events. When the copy finishes, all files are closed and a copyend event occurs.

Definition at line 173 of file XrdClMonitor.hh.

Collaboration diagram for XrdCl::Monitor::CopyBInfo:

Class Members
TransferInfo | transfer | The transfer in question.